require 'qricker/version.rb'
require 'qricker/podspecs.rb'
require 'qricker/module.rb'
require 'qricker/dependency.rb'
require 'qricker/spec_builder.rb'
require 'qricker/module_cache.rb'
# Add requires for other files you add to your project here, so
# you just need to require this one file in your bin file

#third packager
require 'pathname'
require 'cocoapods'


module Qricker
  def Qricker.transferSpec(rctlFile,specFile)
    if not Pathname(specFile).exist?
      print "File Not Exist!!!"
      exit(1)
    end
    moduleCache = ModuleCache.new(rctlFile)
    spec = Pod::Specification.from_file(specFile)

    tspecBuilder = SpecBuilder.new(spec, moduleCache )
    #
    tspec = tspecBuilder.spec_metadata + "\n"+ tspecBuilder.spec_close
    return tspec
  end
end