require 'parseconfig'
require_relative "module.rb"

module Qricker
  class ModuleCache
    attr_accessor :allModules
    def initialize(rctlFile)
      config = ParseConfig.new(rctlFile)
      if config.nil?
        Error("RCTL file is invalid!!!")
      end

      allSpecs = []
      config.get_groups.each {|group|
        allSpecs << RickerSpec.new(group, config[group]["PATH"])
      }
      @allModules = allSpecs
    end

    def moduleByName(name)
      specModuel = nil
      @allModules.each { |sm|
        if sm.name == name
          specModuel = sm
        end
      }
      return specModuel
    end
  end
end